Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model
Class CurrentStateBean

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.CurrentStateBean

public class CurrentStateBean
extends Object

Author:
  Alexander Yuhimenko

Constructor Summary
`CurrentStateBean(CurrentState currentState)`

Method Summary
`boolean` | `addAddCardListener(AddCardListener addCardListener)`
`boolean` | `addAddCategoryListener(AddCategoryListener addCategoryListener)`
`void` | `addCategory(Category category)`
`boolean` | `addChangeSelectedCardListener(ChangeSelectedCardListener changeSelectedCardListener)`
`boolean` | `addDeleteCardListener(DeleteCardListener deleteCardListener)`
`boolean` | `addDeleteCategoryListener(DeleteCategoryListener deleteCategoryListener)`
`boolean` | `addModifyCategoryListener(ModifyCategoryListener modifyCategoryListener)`
`boolean` | `addModifyCategoryListListener(ModifyCategoryListListener modifyCategoryListListener)`
`boolean` | `addModifySelectedCardListener(ModifySelectedCardListener modifySelectedCardListener)`
`boolean` | `addNewCard(Card card)`
`boolean` | `addNewCard(Card card, boolean overwriteExists)`
`boolean` | `addNewCard(Card card, Category category)`
`boolean` | `addNewCard(Card card, Category category, boolean overwriteExists)`
`boolean` | `addRemoveCardListener(RemoveCardListener cardListener)`
`void` | `changeDefaultCard(Card card)`
`void` | `deleteAllCard()`
`void` | `deleteCard(Card card)`
`void` | `deleteCategory(Category category)`
`ArrayList` | `getAddCardList()`
`ArrayList` | `getAddCategoryList()`
`Category` | `getCategory()`
`List` | `getCategoryList(Category category)`
`ArrayList` | `getChangeSelectedCardList()`
`String` | `getDefaultPCardUid()`
`ArrayList` | `getDeleteCardList()`
`ArrayList` | `getDeleteCategoryList()`
`ArrayList` | `getModifyCategoriesList()`
`ArrayList` | `getModifySelectedCardList()`
`HashSet` | `getMrus()`
`String` | `getName()`
`ArrayList` | `getRemoveCardList()`
`Card` | `getSelectedCard()`
`Category` | `getSelectedCategory()`
`void` | `modifyCardInCategory(Card card, Category category)`
`void` | `modifyCategory(Category category)`
`void` | `modifyCategoryList(List categoryList)`
`void` | `modifySelectedCard(Card card)`
`void` | `removeCard(Card card, Category category)`
`void` | `setCategory(Category category)`
`void` | `setDefaultPCardUid(String defaultPCardUid)`
`void` | `setMrus(HashSet mrus)`
`void` | `setName(String name)`
`void` | `setSelectedCard(Card selectedCard)`
`void` | `setSelectedCategory(Category selectedCategory)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentStateBean

    public CurrentStateBean(CurrentState currentState)

Method Detail

### addAddCardListener

    public boolean addAddCardListener(AddCardListener addCardListener)

### addAddCategoryListener

    public boolean addAddCategoryListener(AddCategoryListener addCategoryListener)

### addModifyCategoryListListener

    public boolean addModifyCategoryListListener(ModifyCategoryListListener modifyCategoryListListener)

### addCategory

    public void addCategory(Category category)

### addChangeSelectedCardListener

    public boolean addChangeSelectedCardListener(ChangeSelectedCardListener changeSelectedCardListener)

  Parameters:
    `changeSelectedCardListener` -
  Returns:

### addDeleteCardListener

    public boolean addDeleteCardListener(DeleteCardListener deleteCardListener)

  Returns:
  See Also:
    `ArrayList.add(java.lang.Object)`

### addDeleteCategoryListener

    public boolean addDeleteCategoryListener(DeleteCategoryListener deleteCategoryListener)

  Returns:
  See Also:
    `ArrayList.add(java.lang.Object)`

### addModifySelectedCardListener

    public boolean addModifySelectedCardListener(ModifySelectedCardListener modifySelectedCardListener)

  Returns:

### addModifyCategoryListener

    public boolean addModifyCategoryListener(ModifyCategoryListener modifyCategoryListener)

### modifyCategory

    public void modifyCategory(Category category)

### addNewCard

    public boolean addNewCard(Card card,
                              boolean overwriteExists)

### addNewCard

    public boolean addNewCard(Card card)

### addNewCard

    public boolean addNewCard(Card card,
                              Category category)

### addNewCard

    public boolean addNewCard(Card card,
                              Category category,
                              boolean overwriteExists)

### modifyCategoryList

    public void modifyCategoryList(List categoryList)

### addRemoveCardListener

    public boolean addRemoveCardListener(RemoveCardListener cardListener)

  Returns:
  See Also:
    `ArrayList.add(java.lang.Object)`

### deleteAllCard

    public void deleteAllCard()

### deleteCard

    public void deleteCard(Card card)

### deleteCategory

    public void deleteCategory(Category category)

### getAddCardList

    public ArrayList getAddCardList()

  Returns:
    the addCardList

### getAddCategoryList

    public ArrayList getAddCategoryList()

### getCategory

    public Category getCategory()

  Returns:
  See Also:
    `CurrentState.getCategory()`

### getCategoryList

    public List getCategoryList(Category category)

### getChangeSelectedCardList

    public ArrayList getChangeSelectedCardList()

  Returns:
    the changeSelectedCardList

### getDeleteCardList

    public ArrayList getDeleteCardList()

  Returns:
    the deleteCardList

### getDeleteCategoryList

    public ArrayList getDeleteCategoryList()

  Returns:
    the deleteCategoryList

### getModifySelectedCardList

    public ArrayList getModifySelectedCardList()

  Returns:
    the modifySelectedCardList

### getModifyCategoriesList

    public ArrayList getModifyCategoriesList()

### getName

    public String getName()

  Returns:
  See Also:
    `BaseEntity.getName()`

### getRemoveCardList

    public ArrayList getRemoveCardList()

  Returns:
    the removeCardList

### getSelectedCard

    public Card getSelectedCard()

  Returns:
  See Also:
    `CurrentState.getSelectedCard()`

### getSelectedCategory

    public Category getSelectedCategory()

  Returns:
  See Also:
    `CurrentState.getSelectedCategory()`

### modifyCardInCategory

    public void modifyCardInCategory(Card card,
                                     Category category)

### changeDefaultCard

    public void changeDefaultCard(Card card)

### getDefaultPCardUid

    public String getDefaultPCardUid()

### setDefaultPCardUid

    public void setDefaultPCardUid(String defaultPCardUid)

### modifySelectedCard

    public void modifySelectedCard(Card card)

### removeCard

    public void removeCard(Card card,
                           Category category)

### setCategory

    public void setCategory(Category category)

  Parameters:
    `category` -
  See Also:
    `CurrentState.setCategory(org.eclipse.higgins.ics.gwt.base.client.model.entity.Category)`

### setName

    public void setName(String name)

  Parameters:
    `name` -
  See Also:
    `BaseEntity.setName(java.lang.String)`

### setSelectedCard

    public void setSelectedCard(Card selectedCard)

  Parameters:
    `selectedCard` -
  See Also:
    `CurrentState.setSelectedCard(org.eclipse.higgins.ics.gwt.base.client.model.entity.Card)`

### setSelectedCategory

    public void setSelectedCategory(Category selectedCategory)

  Parameters:
    `selectedCategory` -
  See Also:
    `CurrentState.setSelectedCategory(org.eclipse.higgins.ics.gwt.base.client.model.entity.Category)`

### getMrus

    public HashSet getMrus()

### setMrus

    public void setMrus(HashSet mrus)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD